button.btn {

	&.btn-formgroup:not(.btn-group) {
		margin-top: 22px;
	}

	&.btn-raised:not(.btn-link), &.input-group-btn .btn.btn-raised:not(.btn-link) {
		box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.1),
					0 3px 1px -4px rgba(0, 0, 0, 0.02),
					0 1px 5px 0 rgba(0, 0, 0, 0.1);
	}

	&.btn-raised-shadow:not(:focus):not([disabled]){
		box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -4px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12) !important;
	}

	&.btn-group {
		margin-top: 0px;
		margin-bottom: 0px;
		height: 34px;
	}

	&.btn-outline {
		border: solid 1px @brand-primary;
	}

	&.btn-shortcut-primary {
		color: @cor-tema;
	}

	&.btn-shortcut-danger {
		color: @cor-vermelho;
	}

	&.btn-space {
		margin-left: @standard-padding/2 !important;
	}

	&.btn-fab.btn-fab-nano {
		height: 30px;
		min-width: 30px;
		width: 30px;
	}

	&.btn-xs {
		i.material-icons {
			font-size: 10px;
			margin-bottom: 1px;
		}
	}

	&.btn-default.btn-raised {
		background-color: @cor-cinza-claro;
	}

	&.btn-default.btn-raised:hover {
		background-color: darken(@cor-cinza-claro, 10%) !important;
		color: @mdb-text-color-light;
	}

	i.material-icons {
		font-size: 20px;
		padding-bottom: 2px;
	}

	&btn-mdi {
		height: 38px;
	}

	&.mdi-16px {
		font-size: 16px;
	}
}

button:focus {
	outline: 0 !important;
	box-shadow: none !important;
}

.btn-disabled[disabled] {
	cursor: not-allowed;
}